*{
  box-sizing: border-box;
}

.point {
  position: absolute;
  background-color: #3e3e3e;
  width: 5px;
  height: 5px
}

.line {
  position: absolute;
}
.line.blue{
  background-color: #377bd3;
}
.line.red{
  background-color: #eb3871;
}

.line.not-set:hover {
  background-color: #84878d;
}

.line-horizontal {
  width: 28px;
  height: 5px;
  margin: 0 1px;
}

.line-vertical {
  width: 5px;
  height: 28px;
  margin: 1px 0;
}

.square {
  position: absolute;
  width: 28px;
  height: 28px;
  margin: 1px;
}
.square.blue{
  background-color: #377bd3;
}
.square.red{
  background-color: #eb3871;
}